ODBC — Ustawienia dla programu Microsoft Access, okno dialogowe

Okno dialogowe ODBC — Ustawienia dla programu Microsoft Access zawiera między innymi następujące formanty:

Informacje o źródle danych | Identyfikuje bazę danych programu Access; domyślnie wyświetlana jest nazwa przypisana przez producenta. Pole Opis, domyślnie puste, może zawierać opisowe kwalifikatory użytkownika.
Baza danych | Kliknij przycisk Napraw, aby naprawić uszkodzoną bazę danych programu Access, lub przycisk Kompaktuj, aby zmniejszyć ilość nie używanego miejsca. Kliknij przycisk Wybierz lub Utwórz, aby otworzyć istniejącą lub nową bazę danych.
Systemowa baza danych | Kliknij, aby wybrać udostępnioną bazę danych. Domyślną nazwą użytkownika jest Admin, a domyślnym hasłem programu Microsoft Access dla użytkownika Admin jest pusty ciąg znaków.
Opcje Kliknij, aby zmienić następujące opcje sterownika:
  • Limit czasu strony. Czas, w dziesiątych częściach sekundy, przez który nie używana strona pozostaje w buforze. Wartość ta musi być zawsze większa od 0.

  • Rozmiar buforu. Rozmiar wewnętrznego buforu, w kilobajtach, używanego przez program Microsoft Access do przesyłania danych na dysk i z dysku. Może to być dowolna liczba całkowita podzielna przez 256.

  • Warunki ograniczające dostęp do bazy danych.
Zaawansowane | Kliknij, aby skonfigurować dodatkowe opcje związane z wydajnością sterownika.

Uwaga Więcej informacji na temat tego sterownika można znaleźć na stronie sieci Web msdn.microsoft.com. (Otwórz witrynę MSDN Library Online, a następnie stronę Platform SDK, aby znaleźć zestaw MDAC SDK, który zawiera sekcję o nazwie ODBC Drivers.) Inne informacje można znaleźć w tematach Konwersja źródeł danych, Pliki ISAM dla programu Access, Wpisy rejestru dla usługi IISAM i Wspólne pliki składników ODBC tego pliku Pomocy. Pomoc techniczna jest również dostępna.


.topic 2
Exits this dialog box without saving any changes.

.topic 3
Identifies the data source name, such as Payroll or Personnel. When the Microsoft Excel 3.0 or 4.0 driver is used, specifies the default data directory in which the ODBC driver searches for data files. For Microsoft Excel 5.0, 7.0, or 97, specifies the default data workbook in which the ODBC driver searches for data files.

.topic 4
An optional description of the data in the data source; for example, "Hire date, salary history, and current employees' reviews."

.topic 5
Displays Help for this dialog box.

.topic 6
Exits the Setup dialog box and saves changes.

.topic 7
Select to make the database read-only to prohibit any updates.

.topic 8
The number of rows to scan to determine the data type of each column. For the Microsoft Excel driver, this can be any number from 1 to 16, defaulting to 8; if set to 0, all rows are scanned.

.topic 9
Click to open the Select Directory dialog box, where you can select a directory containing the files you want to access. When defining a data source directory, specify the directory that contains your most commonly used Excel files for Microsoft Excel 3.0 or 4.0.

.topic 10
Click to open the Select Workbook dialog box, where you can select a workbook you want to access.

.topic 11
Select to make the application's current working directory the data source directory. When cleared, you can select the data source directory by clicking the Select Directory button. Disabled for Microsoft Excel 5.0, 7.0, and 97.

.topic 12
Specifies the Excel version of the files used.

.topic 13
Use these options to change the location and version of Excel files.

.topic 14
Use these options to configure driver-specific attributes.

.topic 15
Click to configure driver-specific attributes.

.topic 16
The location of the selected Excel directory.

.topic 17
The location of the selected Excel workbook.

.topic 201
Click to add an extension that has been typed in the Extension box.

.topic 202
Exits this dialog box without saving any changes.

.topic 203
Identifies the data source name, such as Payroll or Personnel, and specifies the default data directory in which the ODBC driver searches for data files.

.topic 204
When selected, all files in the directory can be used. When cleared, the Extensions List defaults to *.asc, *.csv, *.tab, and *.txt extensions, and you can add or delete specific extensions as desired.

.topic 205
Click to open the Define Text Format dialog box, where you can define column formats and specify table schemas in the data source directory.

.topic 206
An optional description of the data in the data source; for example, "Hire date, salary history, and current employees' reviews."

.topic 207
Enter the file extension you want to add, using the format *.xxx. For example, to use .dat files, type the extension *.dat.

.topic 208
Lists the file name extensions of the text files in the data source, based on the selected or cleared status of the Default check box.

.topic 214
Use these options to format specific file types.

.topic 215
Use these options to add or remove nondefault file extensions from the Extensions List. To add a file extension, clear the Default check box, type the new extension in the Extension box, and click Add.

.topic 216
Use these options to select the location of the text file and display the file name.

.topic 209
Displays Help for this dialog box.

.topic 210
Exits the Setup dialog box and saves changes.

.topic 211
Click to remove a selected file extension from the Extensions List.

.topic 212
Click to open the Select Directory dialog box, where you can select a directory containing the files you want to access.

.topic 213
Select to make the application's current working directory the data source directory. When cleared, you can select the data source directory by clicking Select Directory.

.topic 217
Click to configure text file attributes and add or remove text file types.

.topic 218
Identifies the location of the text file.

.topic 301
Click to add a column using the values in the Data Type, Name, and Width fields.

.topic 302
Exits this dialog box without saving any changes.

.topic 321
Specifies a character set as either ANSI or OEM.

.topic 303
Specifies a character set as ANSI for the format of the item selected in the Tables list.

.topic 304
Specifies whether the columns of the selected table's first row will be used as column names (TRUE if selected, FALSE if cleared).

.topic 305
Lists the column names for each column in the table selected in the Tables list and reflects the order of the columns in the table.

.topic 319
Allows you to define column attributes for the selected text file.

.topic 306
Displays the data type and can be BIT, BYTE, CHAR, CURRENCY, DATE, FLOAT, INTEGER, LONGCHAR, SHORT, or SINGLE.

.topic 307
The custom delimiter character to be used to separate columns. Must be only one character in length, and double quotation marks (") cannot be used. Enabled when Custom Delimited is selected from the Format list box.

.topic 308
Either delimited or fixed-length; if delimited, indicates the type of delimiter used.

.topic 309
Generates the data type, name, and width values for the columns in the selected table by scanning the table's contents according to the Format list box selection. Enabled when the table format is delimited.

.topic 310
Displays Help for this dialog box.

.topic 311
Modifies the selected column using the values in the Data Type, Name, and Width fields.

.topic 312
Displays the name of the selected column. Can be used to specify a new column name for either an existing column or a new column.

.topic 313
Exits this dialog box and saves changes.

.topic 314
Deletes the selected column.

.topic 315
The number of rows that Setup or the driver will scan when setting the columns and column data types. Defaults to 25 if the format of the item selected in the Tables list has not been defined, but can be any number from 1 to 32767.

.topic 316
Lists all files that match the list of extensions specified in the ODBC Text Setup dialog box. Select a file to display or modify its table attributes.

.topic 320
Use these options to define table attributes for a selected text file.

.topic 317
The width of the column; can be changed for CHAR or LONGCHAR columns. For other data types, Width is disabled and no value is displayed. Defaults to 1 if the format of the item selected in the Tables list has not been defined.

.topic 318
Specifies a non-ANSI character set (the default) for the format of the file selected in the Tables list.

.topic 401
Exits this dialog box without saving any changes.

.topic 402
The sequence -- whether ASCII (the default), International, Swedish-Finnish, or Norwegian-Danish -- in which the fields are sorted.

.topic 403
Identifies the data source name, such as Payroll or Personnel, and specifies the default data directory in which the ODBC driver searches for data files.

.topic 404
An optional description of the data in the data source; for example, "Hire date, salary history, and current employees' reviews."

.topic 405
When selected, the database opens in Exclusive mode, which limits access to one user at a time and improves performance. When cleared, the database opens in Shared mode and can be accessed simultaneously by multiple users.

.topic 406
Displays Help for this dialog box.

.topic 407
Specifies the network access style to use when accessing Paradox data: either "3.x" for Paradox 3.x or "4.x" for Paradox 4.x or 5.x. Can be set to either "3.x" or "4.x" for Paradox versions 4.x and 5.x; for Paradox version 3.x, the style must be "3.x".

.topic 408
Exits the Setup dialog box and saves changes.

.topic 409
The period of time, in tenths of a second, that an unused page remains in the buffer. The default value is 600 tenths (or 60 seconds) and must be greater than 0.

.topic 410
Click to open the Select Directory dialog box, where you can select a directory containing the files you want to access.

.topic 415
Identifies the location of the Paradox file.

.topic 411
Before selecting a network directory, you must enter your Paradox user name in the User Name text box. Then click Select Network Directory to select a network directory.

.topic 416
The path of the directory containing a Paradox lock database and also containing either the Pdoxusrs.net file (in Paradox 4.x) or the Paradox.net file (in Paradox 5.x). If the directory does not contain one of these files, the Paradox driver creates one.

.topic 412
Select to make the application's current working directory the data source directory. When cleared, you can select the data source directory by clicking Select Directory.

.topic 413
The Paradox user name displayed to other users of Paradox files when a lock is encountered.

.topic 414
Specifies the Paradox version of the files used -- for example, Paradox 4.x or Paradox 5.x.

.topic 417
Use these options to select and display the version and location of the Paradox database.

.topic 418
Use these options to configure the Paradox driver.

.topic 419
Click to configure driver-specific attributes.

.topic 501
Specifies whether table-size statistics are approximated. This option applies to all data sources that use the dBASE driver.

.topic 502
Exits this dialog box without saving any changes.

.topic 503
The sequence, either ASCII (the default) or international selections, in which the fields are sorted.

.topic 504
Identifies the data source name, such as Payroll or Personnel, and specifies the default data directory in which the ODBC driver searches for data files.

.topic 505
An optional description of the data in the data source; for example, "Hire date, salary history, and current employees' reviews."

.topic 506
When selected, the database opens in Exclusive mode, which limits access to one user at a time and improves performance. When cleared, the database opens in Shared mode and can be accessed simultaneously by multiple users.

.topic 507
Displays Help for this dialog box.

.topic 508
Exits the Setup dialog box and saves changes.

.topic 509
The period of time, in tenths of a second, that an unused page remains in the buffer. The default value is 600 tenths (or 60 seconds) and must always be greater than 0.

.topic 515
Identifies the location of the dBASE database.

.topic 510
Click to open the Select Directory dialog box, where you can select a directory containing the files you want to access.

.topic 511
Click to open the Select Indexes dialog box, where you can associate dBASE files with index files.

.topic 512
Specifies whether rows marked as deleted can be retrieved or positioned on. If cleared (the default), deleted rows are not displayed; if selected, deleted rows are treated the same as undeleted rows.

.topic 513
Select to make the application's current working directory the data source directory. When cleared, you can select the data source directory by clicking Select Directory.

.topic 514
Specifies the version of the dBASE files used; for example, dBASE III, dBASE IV, or dBASE 5.0.

.topic 516
Use these options to select and display the version and location of the dBASE database.

.topic 517
Use these options to configure the dBASE driver.

.topic 518
Click to configure driver-specific attributes.

.topic 701
Click to set advanced driver options to alter performance.

.topic 702
The size of the internal buffer, in kilobytes, used by Microsoft Access to transfer data to and from the disk. The default is 2048 KB (displayed as 2048). Enter any integer value divisible by 256.

.topic 703
Exits this dialog box without saving any changes.

.topic 704
Click to create an Access database.

.topic 705
Click to reduce wasted space in an existing Access database.

.topic 706
Identifies the data source name, such as Payroll or Personnel, and specifies the default data directory in which the ODBC driver searches for data files.

.topic 707
The location of the currently selected Access database. To select a database, click Select.

.topic 708
An optional description of the data in the data source; for example, "Hire date, salary history, and current employees' reviews."

.topic 709
When selected, the database opens in Exclusive mode, which limits access to one user at a time and improves performance. When cleared, the database opens in Shared mode and can be accessed simultaneously by multiple users.

.topic 710
Displays Help for this dialog box.

.topic 711
If no system database will be used, select this option to log in as the Admin (DefaultUser) user for a specific Access database.

.topic 712
Exits the Setup dialog box and saves changes.

.topic 713
The period of time, in tenths of a second, that an unused page remains in the buffer. The default value is 0.5 seconds and must always be greater than 0.

.topic 714
Select to make the database read-only to prohibit any updates.

.topic 715
Click to repair a damaged Access database.

.topic 716
Click to select a specific Access database.

.topic 723
Select to use a system database. Then click System Database.

.topic 717
Click to open the Select System Database dialog box, where you can select the system (workgroup) database you want to use.

.topic 718
Use these options to view the location of the Access database and perform database maintenance functions.

.topic 719
Use these options to select a system (workgroup) database and view its location.

.topic 720
The location of the currently selected Access database.

.topic 721
Use these options to configure the Access driver.

.topic 722
Click to configure driver-specific attributes.


Pliki ISAM dla programu Access

Sterowniki ODBC Desktop Database Drivers 4.0 obejmują następujące pliki ISAM dla sterownika Microsoft Access:

32-bitowa biblioteka ISAM | Wersja programu Microsoft Access
Brak (zawarta w pliku Msjet40.dll) | 7.0 i 97
Msrd2x40.dll | 2.0
Msrd3x40.dll | 3.0

Uwaga Jeśli używasz systemu Microsoft Windows 95/98 (nie Microsoft Windows NT/Windows 2000) i nie masz zainstalowanego na komputerze programu Microsoft Access, dodaj wiersz "FILES= 50" do pliku Config.sys.


Logowanie do systemowej bazy danych dla programu Access

Okno dialogowe Logowanie pozwala wpisać uwierzytelnioną nazwę logowania i hasło dla programu Access podczas łączenia się z bazą danych programu Access, która została uprzednio zdefiniowana jako systemowa baza danych. Nazwy logowania i hasła są przypisywane przez administratora bazy danych i powinny być wprowadzane dokładnie w takiej formie, w jakiej zostały przypisane.

Pole Źródło danych wskazuje źródło danych, z którym się łączysz.

Uwaga Jeśli źródło danych nie zostało wybrane, możesz je przypisać klikając opcję Baza danych.

Kliknij przycisk OK, aby zamknąć to okno dialogowe i zainicjować proces logowania.

Kliknij przycisk Anuluj, aby zamknąć to okno dialogowe i anulować proces logowania.


Wspólne pliki składników ODBC

W następującej tabeli zamieszczono listę plików wymaganych przez każdy składnik pakietu ODBC Desktop Database Drivers 4.0. Pliki te są instalowane w katalogu \Windows\System dla systemu Windows 95 lub nowszego albo w katalogu \Windows\System32 dla systemu Windows NT lub Windows 2000. Jeśli pliki ODBC były wcześniej zainstalowane w innym katalogu, należy upewnić się, że w katalogu \Windows\System (lub System32) znajdują się nowsze pliki.

Niektóre pliki są wymagane przez kilka składników. Pliki te wymagają redystrybucji, jeśli zamierzasz redystrybuować sterowniki ODBC Desktop Database Drivers ze swoimi aplikacjami komercyjnymi.

Następujące pliki są wspólne dla każdego sterownika z pakietu ODBC Desktop Database Drivers:

Ds16gt.dll
Ds32gt.dll
Expsrv.dll
Msjint40.dll
Msjet40.dll
Msjter40.dll
Msjtes40.dll
Msvcrt40.dll 		Odbc16gt.dll
Odbc32.dll
Odbc32gt.dll
Odbccp32.cpl
Odbccp32.dll
Odbccr32.dll
Odbcinst.chm
Odbcint.dll 		Odbcjet.chm
Odbcji32.dll
Odbcjt32.dll
Odbctl32.dll
Vbajet32.dll
Odbctrac.dll


Baza danych do kompaktowania z — okno dialogowe

Kompaktowanie bazy danych zapisuje istniejące dane, ale usuwa z bazy danych nie używane miejsce. Okno dialogowe Baza danych do kompaktowania z określa bazę danych do kompaktowania i pozwala określić dostęp "Udostępniona do odczytu/zapisu" (ustawienie domyślne), "Tylko do odczytu" (zapobiega wszelkim zmianom) lub "Wyłączny" w trakcie procesu kompaktowania.

Aby przeprowadzić kompaktowanie danych, można użyć okna dialogowego ODBC — Ustawienia dla programu Microsoft Access. Kliknij przycisk Kompaktuj, a następnie w oknie dialogowym Baza danych do kompaktowania z wybierz plik i ścieżkę. Kliknij przycisk OK. W oknie dialogowym Baza danych do kompaktowania w wybierz plik i ścieżkę, wersję wynikowego pliku skompaktowanego, ustawienia regionalne, a następnie kliknij przycisk OK. Plik, do którego kompaktowana jest baza danych, może mieć tę samą nazwę, co plik kompaktowany. Jeśli jednak nazwa ta jest taka sama, jak nazwa innego istniejącego pliku, zwracany jest błąd. Kompaktowanie plików chronionych hasłem może mieć nieprzewidywalne skutki.


Nowa baza danych — okno dialogowe

Wprowadź pełną ścieżkę bazy danych programu Microsoft Access, która ma zostać utworzona.

Jeśli używany jest sterownik Microsoft Access, kliknij przycisk Utwórz, aby utworzyć nową bazę danych.

Uwaga Utworzona w ten sposób baza danych będzie działać tylko z programem Microsoft Access w wersji 7.0 lub nowszej.

Jeśli początkowo nie zostanie podana żadna baza danych, użytkownik jest monitowany o wybranie pliku bazy danych podczas łączenia się ze źródłem danych.

Okno dialogowe Nowa baza danych zawiera między innymi następujące formanty:

Nazwa i lokalizacja bazy danych | Określa nazwę i lokalizację nowej bazy danych.
Ustawienia regionalne | Określa identyfikator lokalny (LCID) lub język dla bazy danych.
Format | Format aparatu bazy danych Microsoft Jet. Opcje: Wersja 4.x (najnowsza, format Unicode), Wersja 3.x (format ANSI) lub Wersja 2.x (format ANSI).
Opcje | Kliknięcie opcji Systemowa baza danych powoduje utworzenie bazy danych, która może być udostępniana, i zostanie zarejestrowana na karcie Systemowe DSN w programie Administrator źródeł danych ODBC. Kliknięcie opcji Szyfrowanie ustawia tę opcję programu Access. Od wydania aparatu bazy danych Microsoft Jet w wersji 4.0 szyfrowanie bazy danych jest dozwolone podczas jej tworzenia. Dodatkowe informacje można znaleźć w dokumencie Jet Database Engine Programmer's Reference. Opcja ta jest dostępna tylko po wybraniu formatu "Wersja 4.x".


Konwersja źródeł danych

32-bitowe źródła danych używane ze sterownikami ODBC Desktop Database Drivers w wersji 2.0 są automatycznie konwertowane na nowe 32-bitowe źródła danych dla sterowników w wersji 4.0. Nie jest przeprowadzana konwersja dla 16-bitowych źródeł danych. Aby zmienić 16-bitowe źródło danych na źródło 32-bitowe, należy utworzyć nowe 32-bitowe źródło danych, a następnie (opcjonalnie) usunąć stare 16-bitowe źródło danych. 32-bitowe źródło danych i 16-bitowe źródło danych nie mogą mieć tej samej nazwy.


Pliki ISAM dla programu dBASE

Sterowniki ODBC Desktop Database Drivers 4.0 obejmują następujące pliki ISAM dla sterownika Microsoft dBASE:

32-bitowa biblioteka ISAM | Wersja programu dBASE
Msxbse40.dll Oddbse32.dll | dBASE III dBASE IV dBASE 5.0


ODBC — Ustawienia dla programu dBASE, okno dialogowe

Okno dialogowe ODBC — Ustawienia dla programu dBASE zawiera między innymi następujące formanty:

Informacje o źródle danych | Identyfikuje bazę danych programu dBase; domyślnie wyświetlana jest nazwa przypisana przez producenta. Pole Opis, domyślnie puste, może zawierać opisowe kwalifikatory użytkownika.
Baza danych | Wybierz dowolną zainstalowaną wersję bazy danych programu dBASE i jej lokalizację. Jeśli zaznaczysz pole wyboru Użyj bieżącego katalogu, przyciski Wybierz katalog i Wybierz indeksy są wyłączone.
Opcje Kliknij, aby zmienić następujące opcje sterownika:
  • Kolejność sortowania. Określa sposób sortowania.

  • Limit czasu strony. Czas, w dziesiątych częściach sekundy, przez który nie używana strona pozostaje w buforze. Wartość ta musi być zawsze większa od 0.

  • Wyłączny. Ogranicza dostęp do bazy danych do jednego użytkownika.

  • Pokaż usunięte wiersze. Określa, czy wiersze oznaczone jako usunięte są dostępne.

  • Przybliżona liczba wierszy. Określa, czy statystyki dotyczące rozmiaru tabeli są przybliżone.

Uwaga Więcej informacji na temat tego sterownika można znaleźć na stronie sieci Web msdn.microsoft.com. (Otwórz witrynę MSDN Library Online, a następnie stronę Platform SDK, aby znaleźć zestaw MDAC SDK, który zawiera sekcję o nazwie ODBC Drivers.) Inne informacje można znaleźć w tematach Konwersja źródeł danych, Pliki ISAM dla programu dBASE, Wpisy rejestru dla usługi IISAM i Wspólne pliki składników ODBC tego pliku Pomocy. Program dBASE jest produktem firmy Inprise Corporation i towarzyszy mu własny plik Pomocy.


Definiowanie formatu tekstu — okno dialogowe

Okno dialogowe Definiowanie formatu tekstu pozwala zdefiniować format dla kolumn w wybranym pliku i określić schemat dla każdej tabeli danych. Okno dialogowe Definiowanie formatu tekstu zawiera między innymi następujące formanty:

Dodaj | Dodaje kolumnę używając wartości z pól Typ danych, Nazwa i Szerokość.
Znaki | ANSI lub OEM. Opcja OEM określa zestaw znaków inny niż ANSI i jest opcja domyślną, jeśli format pozycji zaznaczonej na liście Tabele nie został zdefiniowany.
Nagłówek z nazwą kolumny | Określa, czy kolumny pierwszego wiersza zaznaczonej tabeli będą używane jako nazwy kolumn. Ustawieniem domyślnym jest FAŁSZ (opcja wyczyszczona), jeśli format pozycji zaznaczonej na liście Tabele nie został zdefiniowany.
Kolumny | Wyświetla nazwy kolumn dla każdej kolumny w tabeli zaznaczonej na liście Tabele i odzwierciedla porządek kolumn w tej tabeli.
Typ danych | Może to być typ BIT, BYTE, Char, CURRENCY, Date, Float, Integer, LONGCHAR, SHORT lub SINGLE. Dla daty można używać następujących formatów: "dd-mmm-rr", "mm-dd-rr", "mmm-dd-rr", "rrrr-mm-dd" i "rrrr-mmm-dd". ("mm" oznacza numer miesiąca; "mmm" oznacza literowy skrót miesiąca.)
Ogranicznik | Niestandardowy znak ogranicznika, który ma być używany do oddzielania kolumn. Musi to być tylko jeden znak i nie można używać znaków podwójnego cudzysłowu ("). Opcja ta jest włączona, jeśli zaznaczona jest opcja Rozdzielany niest. w polu Format.
Format | Rozdzielany lub o ustalonej długości. Jeśli rozdzielany, wskazuje typ używanego ogranicznika: przecinek (CSV), tabulator lub znak specjalny (niestandardowy). Ustawieniem domyślnym jest Rozdzielany CSV, jeśli format pozycji zaznaczonej na liście Tabele nie został zdefiniowany. Jeśli ustawieniem opcji Format jest tekst o ustalonej długości i zaznaczona jest opcja Nagłówek z nazwą kolumny, pierwszy wiersz musi być rozdzielany przecinkiem.
Zgadnij | Kliknij, aby wygenerować typ danych, nazwę i szerokość dla kolumn zaznaczonej tabeli przez skanowanie zawartości tabeli zgodnie z wyborem w polu listy Format. Opcja ta jest włączona, jeśli formatem tabeli jest tekst rozdzielany. Uprzednio zdefiniowane kolumny na liście Kolumny są czyszczone i zastępowane nowymi wpisami. Jeśli opcja Nagłówek z nazwą kolumny nie jest zaznaczona, nazwy kolumn są generowane jako "F1", "F2" itd. Funkcjonalność ta działa tylko z kolumnami, których rozmiar jest mniejszy niż 64 513 bajty.
Modyfikuj | Kliknij, aby zmodyfikować zaznaczoną kolumnę używając wartości z pól Typ danych, Nazwa i Szerokość.
Nazwa | Nazwa zaznaczonej kolumny. Użyj, aby określić nową nazwę kolumny dla kolumny istniejącej lub nowej. Jeśli opcja Nagłówek z nazwą kolumny jest zaznaczona, wyświetlana nazwa kolumny jest ignorowana.
Usuń | Usuwa zaznaczoną kolumnę.
Wierszy do skanowania | Liczba wierszy, które Instalator lub sterownik skanuje podczas ustawiania kolumn i typów danych kolumn. Wartością domyślną jest 25, jeśli format pozycji zaznaczonej na liście Tabele nie został zdefiniowany, ale może to być dowolna liczba z zakresu od 1 do 32 767.
Tabele | Wyświetla wszystkie pliki, które pasują do listy rozszerzeń określonej w katalogu zaznaczonym w oknie dialogowym ODBC — Ustawienia dla tekstu. Jeśli zaznaczona jest opcja <domyślna> lista Kolumny jest wyłączona.
Szerokość | Wartość ta może zostać zmieniona dla kolumn typu CHAR i LONGCHAR. Dla innych typów danych opcja Szerokość jest wyłączona i żadna wartość nie jest wyświetlana. Wartością domyślną jest 1, jeśli format pozycji zaznaczonej na liście Tabele nie został zdefiniowany.


Pliki ISAM dla programu Excel

Sterowniki ODBC Desktop Database Drivers 4.0 obejmują następujące pliki ISAM dla programu Excel:

32-bitowa biblioteka ISAM | Wersja programu Microsoft Excel
Msexcl40.dll Odexl32.dll | 3.0, 4.0, 5.0, 7.0, 97

Sterownik Microsoft Excel nie może czytać plików programu Excel, których format jest starszy niż wersja 3.0. Jednak pliki te można otworzyć w nowszej wersji programu Microsoft Excel i zapisać w formacie 3.0, 4.0, 5.0, 7.0 lub 97, który sterownik ten może odczytać.


Wpisy rejestru dla usługi IISAM

Ustawienia rejestru dla usługi IISAM są zapisywane, gdy dla dowolnej biblioteki IISAM DLL wywoływana jest funkcja DLLRegisterServer, i są usuwane, gdy wywoływana jest funkcja DLLUnregisterServer. Funkcja DLLRegisterServer jest wywoływana dynamicznie przez funkcję Jet ODBC dla każdej biblioteki IISAM DLL. Jeśli na przykład podjęta zostanie próba połączenia za pomocą dowolnej usługi IISAM i próba ta początkowo nie powiedzie się, sterownik spróbuje zainicjować tę usługę IISAM (wywołując funkcję DLLRegisterServer) i ponowić próbę połączenia.


ODBC — Ustawienia dla programu Microsoft Excel, okno dialogowe

Okno dialogowe ODBC — Ustawienia dla programu Microsoft Excel zawiera między innymi następujące formanty:

Informacje o źródle danych | Identyfikuje plik programu Excel. Pole Opis, domyślnie puste, może zawierać opisowe kwalifikatory użytkownika.
Baza danych | Użyj tych opcji, aby zmienić domyślną lokalizację pliku. Jeśli chcesz zmienić lokalizację, kliknij przycisk Wybierz katalog lub Wybierz skoroszyt, w zależności od tego, jaka wersja programu Excel została zaznaczona w polu Wersja.
Sterownik | Opcja Wierszy do skanowania określa liczbę wierszy, które Instalator lub sterownik skanuje podczas ustawiania kolumn i typów danych kolumn. Może to być dowolna liczba z zakresu od 1 do 16. Zaznacz opcję Tylko do odczytu, aby uniemożliwić aktualizację pliku programu Excel.

Uwaga Więcej informacji na temat tego sterownika można znaleźć na stronie sieci Web msdn.microsoft.com. (Otwórz witrynę MSDN Library Online, a następnie stronę Platform SDK, aby znaleźć zestaw MDAC SDK, który zawiera sekcję o nazwie ODBC Drivers.) Inne informacje można znaleźć w tematach Konwersja źródeł danych, Pliki ISAM dla programu Excel, Wpisy rejestru dla usługi IISAM i Wspólne pliki składników ODBC tego pliku Pomocy. Pomoc techniczna jest również dostępna.


ODBC — Ustawienia dla tekstu, okno dialogowe

Okno dialogowe ODBC — Ustawienia dla tekstu zawiera między innymi następujące formanty:

Informacje o źródle danych | Identyfikuje plik. Pole Opis, domyślnie puste, może zawierać opisowe kwalifikatory użytkownika.
Baza danych | Domyślna lokalizacja pliku. Jeśli chcesz zmienić lokalizację, kliknij przycisk Wybierz katalog.
Pliki | Wyświetla rozszerzenia nazw plików tekstowych w źródle danych. Aby używać wszystkich plików w danym katalogu, zaznacz pole wyboru Domyślne (*.*). Aby używać tylko plików z określonymi rozszerzeniami, wyczyść pole wyboru Domyślne (*.*) i dodaj żądane rozszerzenia. Gdy pole wyboru Domyślne (*.*) jest wyczyszczone, domyślnymi rozszerzeniami są: *.asc, *.csv, *.tab i *.txt. Aby dodać rozszerzenia, wpisz je w polu Rozszerzenie i kliknij przycisk Dodaj. Rozszerzenie musi być w formacie *.xxx. Na przykład, aby używać plików .dat, wpisz *.dat. Aby usunąć rozszerzenie, zaznacz je na liście Rozszerzenia i kliknij przycisk Usuń.
Definiuj format | Skorzystaj z okna dialogowego Definiowanie formatu tekstu, aby zdefiniować format dla kolumn w wybranym pliku i określić schemat dla każdej tabeli danych. Uwaga Jeśli używany jest sterownik Microsoft Text, to gdy instrukcja CREATE TABLE jest wykonywana z nazwą, która nie ma rozszerzenia, tworzony jest plik bez rozszerzenia. Aby w oknie dialogowym Definiowanie formatu tekstu wyświetlić pliki bez rozszerzenia, na liście Lista rozszerzeń w oknie dialogowym ODBC — Ustawienia dla tekstu trzeba dodać pozycję "*.".

Uwaga Więcej informacji na temat tego sterownika można znaleźć na stronie sieci Web msdn.microsoft.com. (Otwórz witrynę MSDN Library Online, a następnie stronę Platform SDK, aby znaleźć zestaw MDAC SDK, który zawiera sekcję o nazwie ODBC Drivers.) Inne informacje można znaleźć w tematach Konwersja źródeł danych, Wpisy rejestru dla usługi IISAM, Pliki ISAM dla plików tekstowych i Wspólne pliki składników ODBC tego pliku Pomocy.


Pliki ISAM dla programu Paradox

Sterowniki ODBC Desktop Database Drivers 4.0 obejmują następujące pliki ISAM dla programu Paradox:

32-bitowa biblioteka ISAM | Wersja programu Paradox
Mspdox40.dll Odpdx32.dll | Paradox 3.x Paradox 4.x Paradox 5.x


Pomoc techniczna

Ponieważ wiele produktów firmy Microsoft wykorzystuje standard ODBC, jako składnik podstawowy, jak również redystrybuuje sterowniki ODBC, Pomoc techniczna firmy Microsoft uważa standard ODBC za część każdego produktu, który zawiera ten standard jako składnik. Pomoc techniczna dla standardu ODBC jest oferowana zgodnie z umową dotyczącą pomocy technicznej dla danego produktu. Więcej informacji można znaleźć w dokumentacji określonego produktu.


Naprawa bazy danych — okno dialogowe

Okno dialogowe Naprawa bazy danych określa bazę danych do naprawy. Tego okna dialogowego należy użyć, aby określić dostęp "Udostępniona do odczytu/zapisu" (ustawienie domyślne), "Tylko do odczytu" (zapobiega wszelkim zmianom) lub "Wyłączny" w trakcie procesu naprawy.

Jeśli w trakcie procesu przesyłania nastąpi awaria klienta, odnośna baza danych może być uszkodzona i wymaga naprawy. Aby przeprowadzić tę naprawę, można użyć okna dialogowego ODBC — Ustawienia dla programu Microsoft Access. Kliknij przycisk Napraw, a następnie w oknie dialogowym Naprawa bazy danych wybierz plik i ścieżkę. Kliknij przycisk OK.


Wybieranie bazy danych — okno dialogowe

Jeśli początkowo nie zostanie podana żadna baza danych, użytkownik jest monitowany o wybranie pliku bazy danych podczas łączenia się ze źródłem danych.

Jeśli używany jest sterownik Microsoft Access, kliknij przycisk Wybierz w oknie dialogowym ODBC — Ustawienia dla programu Microsoft Access, aby otworzyć istniejącą bazę danych poprzez okno dialogowe Wybieranie bazy danych, które zawiera między innymi następujące formanty:

Nazwa bazy danych | Nazwa istniejącego pliku bazy danych z rozszerzeniem .mdb.
Tylko do odczytu | Określa bazę danych jako tylko do odczytu, co zapobiega wszelkim aktualizacjom.
Wyłączny | Jeśli opcja ta jest zaznaczona, baza danych otwiera się w trybie dostępu "Wyłączny", który ogranicza dostęp do jednego użytkownika na raz i zwiększa wydajność. Jeśli opcja ta jest wyczyszczona, baza danych otwiera się w trybie "Udostępniona" i wielu użytkowników może do niej uzyskać dostęp jednocześnie.


Wybieranie indeksów — okno dialogowe

Okno dialogowe Wybieranie indeksów zawiera między innymi następujące formanty:

Tabele | Wyświetla wszystkie pliki w aktualnie zaznaczonym źródle danych.
Indeksy | Wyświetla wszystkie indeksy przypisane plikowi aktualnie zaznaczonemu na liście Tabele.
Wyświetl pliki typu | Określa, jakie typy plików mają być wyświetlane na liście Indeksy.

Sterownik ODBC dBASE automatycznie otwiera i aktualizuje pliki indeksów programu dBASE IV. Okna dialogowego Wybieranie indeksów trzeba użyć, aby skojarzyć pliki .ndx programu dBASE III z plikami programu dBASE.

Podczas tworzenia indeksów programu dBASE obowiązują następujące ograniczenia:

  • Wszystkie nazwy kolumn muszą być prawidłowe.

  • Wszystkie kolumny muszą być w tym samym — rosnącym lub malejącym — porządku.

  • Długość dowolnej pojedynczej kolumny tekstowej musi być mniejsza niż 100 bajtów.

  • Jeśli istnieje wiele kolumn, wszystkie kolumny muszą być kolumnami tekstowymi, a suma rozmiarów tych kolumn musi być mniejsza niż 100 bajtów.

  • Pola memo nie mogą być indeksowane.

  • Indeks nie może być jeszcze określony dla bieżącego zestawu pól. (Innymi słowy, nie jest dozwolone duplikowanie indeksów.)

  • Nazwa indeksu musi być zgodna z konwencją nazewniczą programu dBASE. Program dBASE III wymaga, aby każdy indeks znajdował się w osobnym pliku z rozszerzeniem .ndx. W programie dBASE IV indeksy są tworzone jako nazwy tagów i są przechowywane w jednym pliku .mdx, który ma taką samą nazwę, jak plik bazy danych. (Na przykład plik Emp.mdx jest plikiem indeksów dla bazy danych Emp.dbf.)

Aby skojarzyć indeks z tabelą

  1. Z listy Tabele wybierz plik.

  2. Z listy Indeksy wybierz indeks.

  3. Kliknij przycisk OK, aby zapisać związki tabela/indeks.

Uwaga Aby sterownik rozpoznawał indeksy programu dBASE III, muszą one zostać przypisane przy użyciu tego okna dialogowego.


Wybieranie systemowej bazy danych — okno dialogowe

Jeśli używany jest sterownik Microsoft Access, kliknij opcję Baza danych, a następnie opcję Systemowa baza danych w oknie dialogowym ODBC — Ustawienia dla programu Microsoft Access, aby wybrać systemową bazę danych poprzez okno dialogowe Wybieranie systemowej bazy danych. Zależnie od wymagań zabezpieczeń systemowych sterownik może monitować o nazwę użytkownika i hasło dla systemowej bazy danych. Domyślną nazwą jest Admin, a domyślnym hasłem programu Microsoft Access dla użytkownika Admin jest pusty ciąg znaków.

Okno dialogowe Wybieranie systemowej bazy danych zawiera między innymi następujące formanty:

Nazwa bazy danych | Nazwa istniejącego pliku bazy danych z rozszerzeniem .mdb.
Tylko do odczytu | Określa bazę danych jako tylko do odczytu, co zapobiega wszelkim aktualizacjom.
Wyłączny | Jeśli opcja ta jest zaznaczona, baza danych otwiera się w trybie dostępu "Wyłączny", który ogranicza dostęp do jednego użytkownika na raz i zwiększa wydajność. Jeśli opcja ta jest wyczyszczona, baza danych otwiera się w trybie "Udostępniona" i wielu użytkowników może do niej uzyskać dostęp jednocześnie.


Wybieranie skoroszytu — okno dialogowe

Okno dialogowe Wybieranie skoroszytu pozwala zlokalizować i wybrać plik skoroszytu programu Microsoft Excel. W polu Nazwa bazy danych pokazywany jest zaznaczony plik. Aby uniemożliwić aktualizację tego pliku, zaznacz pole wyboru Tylko do odczytu. Wyszukaj żądany plik skoroszytu używając pól Katalogi, Wyświetl pliki typu i Dyski albo kliknij opcję Sieć, aby wyszukać skoroszyt w sieci.


Ustawianie opcji zaawansowanych — okno dialogowe

Aby skorzystać z okna dialogowego Ustawianie opcji zaawansowanych, trzeba najpierw wprowadzić nazwę i hasło logowania dla tego sterownika.

Zależnie od wymagań zabezpieczeń systemowych sterownik może monitować o nazwę i hasło, jeśli źródło danych wykorzystuje systemową bazę danych (grupy roboczej). Domyślną nazwą jest Admin, a domyślnym hasłem programu Microsoft Access dla użytkownika Admin jest pusty ciąg znaków.

Podczas uzyskiwania dostępu do dowolnej bazy danych programu Access sterownik używa następujących opcji dostępnych w oknie dialogowym Ustawianie opcji zaawansowanych.

DefaultDir | Identyfikuje domyślny katalog, do którego sterownik będzie miał dostęp.
Driver | Użyj, aby wprowadzić niestandardową nazwę dla sterownika Microsoft Access.
FIL | Typ pliku. "MS Access" dla programu Microsoft Access.
ExtendedAnsiSQL | Atrybut ciągu połączenia. Jeśli jest ustawiony na "1", włącza funkcje Jet 4.0, takie jak tworzenie i usuwanie widoków oraz procedur, wykrywanie obcięć danych, nowe typy danych i używanie listy zastrzeżonych słów SQL-92. Wartością domyślną jest "0", co nie włącza żadnej z tych funkcji.
ImplicitCommitSync | Określa, jak zmiany dokonane poza transakcją są zapisywane w bazie danych. Wartość ta jest początkowo ustawiona jako "Yes", co oznacza, że sterownik Microsoft Access będzie czekał na zakończenie przekazywania w wewnętrznej/niejawnej transakcji.
MaxBufferSize | Rozmiar wewnętrznego buforu, w kilobajtach, używanego przez program Microsoft Access do przesyłania danych na dysk i z dysku. Domyślnym rozmiarem buforu jest 2048K (wyświetlany jako 2048). Można użyć dowolnej liczby całkowitej podzielnej przez 256. Ustawia to tę samą opcję, co formant Rozmiar buforu w oknie dialogowym ustawień.
MaxScanRows | Liczba wierszy, które mają być skanowane podczas ustawiania typu danych kolumny na podstawie istniejących danych. Może to być liczba od 1 do 16. Wartością domyślną jest 8; jeśli jest ustawiona na 0, wszystkie wiersze są skanowane. (Wartość spoza zakresu powoduje zwrócenie błędu.)
PageTimeout | Czas, w dziesiątych częściach sekundy, przez który nie używana strona pozostaje w buforze. Dla sterownika Microsoft Access wartością domyślną jest 0,5 sekundy i wartość ta musi być większa od 0. Opcja ta stosuje się do wszystkich źródeł danych, które używają sterownika Microsoft Access.
ReadOnly | Określa bazę danych jako tylko do odczytu, co zapobiega wszelkim aktualizacjom.
SafeTransactions | Jeśli wartością jest 0 (wartość domyślna), wszystkie transakcje są natychmiast przekazywane. Jeśli wartością jest 1, wszystkie transakcje są zapisywane na dysku na czas trwania operacji przekazywania, ale wydajność ulega niewielkiemu zmniejszeniu.
Threads | Liczba wątków w tle dla aparatu, który ma być używany. Wartością domyślną jest 3. Użytkownik może zwiększyć liczbę wątków, jeśli dla bazy danych przeprowadzanych jest wiele działań.
UserCommitSync | Określa, czy sterownik Microsoft Access będzie przeprowadzał jawne, zdefiniowane przez użytkownika transakcje asynchronicznie. Domyślną wartością jest "Yes", co oznacza, że sterownik Microsoft Access będzie czekał na zakończenie przekazywania w transakcji zdefiniowanej przez użytkownika. Ustawienie wartości na "No" może mieć nieprzewidywalne skutki transakcyjne w środowisku wielu użytkowników.


Pliki ISAM dla plików tekstowych

Sterowniki ODBC Desktop Database Drivers 4.0 obejmują dwa 32-bitowe pliki ISAM dla plików tekstowych: Mstext40.dll i Odtext32.dll.


ODBC — Ustawienia dla programu Paradox, okno dialogowe

Okno dialogowe ODBC — Ustawienia dla programu Paradox zawiera między innymi następujące formanty:

Informacje o źródle danych | Identyfikuje bazę danych programu Paradox; domyślnie wyświetlana jest nazwa przypisana przez producenta. Pole Opis, domyślnie puste, może zawierać opisowe kwalifikatory użytkownika.
Baza danych | Użyj tych opcji, aby zlokalizować bazę danych programu Paradox, albo użyj katalogu bieżącego. Możesz również wybrać określoną wersję dla zainstalowanej bazy danych.
Opcje Kliknij, aby zmienić następujące opcje sterownika dotyczące dostępu, usług i wydajności:
  • Kolejność sortowania. Określa porządek, w jakim pola są sortowane.

  • Wyłączny. Ogranicza dostęp do jednego użytkownika i zwiększa wydajność.

  • Limit czasu strony. Ustawia czas, w dziesiątych częściach sekundy, przez który nie używana strona pozostaje w buforze.

  • Nazwa użytkownika. Nazwa użytkownika programu Paradox wyświetlana u innych użytkowników plików programu Paradox, gdy napotkają oni blokadę.

  • Styl sieci. Styl dostępu do sieci przy uzyskiwaniu dostępu do danych programu Paradox.

Uwaga Więcej informacji na temat tego sterownika można znaleźć na stronie sieci Web msdn.microsoft.com. (Otwórz witrynę MSDN Library Online, a następnie stronę Platform SDK, aby znaleźć zestaw MDAC SDK, który zawiera sekcję o nazwie ODBC Drivers.) Inne informacje można znaleźć w tematach Konwersja źródeł danych, Pliki ISAM dla programu Paradox, Wpisy rejestru dla usługi IISAM i Wspólne pliki składników ODBC tego pliku Pomocy. Program Paradox jest produktem firmy Inprise Corporation i towarzyszy mu własny plik Pomocy.